CMSIS-NN: Data Structures

| CMSIS-NN Version 3.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Groups Pages
Data Structures
Here are the data structures with brief descriptions:

arm_nn_double | Union for data type long long
arm_nn_long_long |
arm_nnword | Union for SIMD access of q31/q15/q7 types
cmsis_nn_activation |
cmsis_nn_context |
cmsis_nn_conv_params |
cmsis_nn_dims |
cmsis_nn_dw_conv_params |
cmsis_nn_fc_params |
cmsis_nn_per_channel_quant_params |
cmsis_nn_per_tensor_quant_params |
cmsis_nn_pool_params |
cmsis_nn_softmax_lut_s16 |
cmsis_nn_svdf_params |
cmsis_nn_tile |